// ==========================================================================
// 数据表：sys_notices - 公告通知
// ==========================================================================
TABLE_NAME = 'sys_notices';
COLUMN_KEY = 'notice_id';
TABLE_FIELDS = '*';

'use api/lib/sql.js';

function getPlaceholders(condition) {
	const columnsArr = Object.keys(condition);
	const placeholders = [];
	const tempParams = [];
	columnsArr.forEach((item) => {
		if (item == 'title') {
			placeholders.push(`title LIKE ?`);
			tempParams.push('%' + condition[item] + '%');
		} else if (item == 'noticeType') {
			placeholders.push(`notice_type = ?`);
			tempParams.push(condition[item]);
		}
	});

	return {
		placeholders: placeholders.join(' AND '),
		tempParams: tempParams,
	};
}

function main() {
	// 验证用户权限
	'use api/user/acl/excerpt.js'

	return base_curd()
}
